<template>
  <DCryptoCurrencyWithdrawal
    v-if="isDesktop"
    :payment-banks="props.paymentBanks"
    :profile="props.profile"
  />
  <MCryptoCurrencyWithdrawal
    v-else
    :payment-banks="props.paymentBanks"
    :profile="props.profile"
  />
</template>
<script lang="ts" setup>
import { IGetPaymentGatewayBanksResponse } from "@/models/getPaymentGatewayBanksRespone";
import { ProfileDto } from "@/models/getProfileResponse";
import DCryptoCurrencyWithdrawal from "~~/components/theme/common/desktop/payment/withdrawal/crypto-currency-withdrawal.client.vue";
import MCryptoCurrencyWithdrawal from "~~/components/theme/common/mobile/payment/withdrawal/crypto-currency-withdrawal.client.vue";

const props = defineProps({
  paymentBanks: {
    type: Object as PropType<IGetPaymentGatewayBanksResponse>,
    required: true,
  },
  profile: {
    type: Object as PropType<ProfileDto>,
    required: true,
  },
  theme: {
    type: String,
    default: "",
  },
});
const { isDesktop } = useDevice();
</script>
